WML::DES::ROLLOVER(1)

NAME
wml::des::rollover - RollOver-Style Image-Button

SYNOPSIS

 #use wml::des::rollover
 <rollover [attributes]>

DESCRIPTION
One of the most interesting trick to make a webpage more interactive is the so-called rollover effect commonly known from window system GUIs. The idea is simply to change the underlaying image when the mouse rolls over it. Additionally when a mouse click occurs over the image it acts like a button and jumps to a new URL.

Although there are more then one way to achieve this optical effect, to use the client-side scripting-language JavaScript currently is the best solution. But here only those variants can be used which provide the image object. Netscape version 3 and 4 and Internet Explorer 4 support this. But the generated code of this <rollover> tag is backward-compatible with all types of browsers.

ATTRIBUTES
The name of the image. Just for internal usage to bind the correct image objects to the image tag. The normal image which is displayed when the mouse is not over the image. The image which is displayed when the mouse is over the image. The URL for the hyperlink which gets activated when the mouse clicks into the image. This string is displayed in text-only browsers or browsers which have images disabled at the place where the image stays. Additionally it is displayed in the browsers status line when the mouse is over the image. This sets the target attribute for the surrounding anchor (<a>) tag. Use this for redirecting the hyperlink to different target area, i.e. usually when using frames or multiple windows. The ``ATTR=STR'' pairs are passed along to the <a> and <img> HTML tags.

AUTHOR

 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com

REQUIRES

 Internal: P1, P2
 External: JavaScript (BROWSER)

SEEALSO
HTML 3.2 <img> and <a> tags, JavaScript: http://home.netscape.com/eng/mozilla/3.0/handbook/javascript/